#!@PERL@
# Make a default diagram selection file
#
# Usage: make-selfile.pl NAMETAG NUMBER_OF_DIAGRAMS [DEFAULT_SETTING]
########################################################################

($nametag, $n_diag, $default) = @ARGV;

if (! $default) { $default = "0"; }

! -f "$nametag.sel" or die "Can't create $nametag.sel: File exists";

open(FILE, ">$nametag.sel") or die "Can't open $nametag.sel";
print FILE "# Diagram selection for process $nametag\n";
for ($i=1; $i<=$n_diag; $i++) {
    printf FILE "%4d  %s\n", $i, $default;
}
close(FILE);
#print "Wrote $nametag.sel\n";
exit;

### Local variables:
### mode:perl
### End:
